Bug 168920 - Review Request: html-xml-utils
Review Request: html-xml-utils
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
David Lawrence
http://www.w3.org/Tools/HTML-XML-utils/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-21 06:58 EDT by Gavin Henry
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-17 17:22:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gavin Henry 2005-09-21 06:58:58 EDT
Spec Url:   http://www.perl.me.uk/downloads/xml-utils/xml-utils.spec
SRPM Url:   http://www.perl.me.uk/downloads/xml-utils/xml-utils-3.7-1.src.rpm
Md5sum Url: http://www.perl.me.uk/downloads/xml-utils/md5sums

Description: A number of simple utilities for manipulating HTML and XML files


Created as a Requirement to install db2latex-xsl-0.7-alt2.cvs20030622.noarch.rpm, which requires a xml-utils RPM, which are both needed to run the Samba-Docs build tree, as discussed during Tues Sep 20 Fedora Documentation Steering Committee meeting.
Comment 1 Brian Pepple 2005-09-23 15:36:53 EDT
PUBLISH +1, once package naming issue resolved.

MD5Sums:
ffd80f1fda6ecdd1f85bd88d87a0d2e7  html-xml-utils-3.7.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All directories are owned by this or other packages
* All necessary BuildRequires listed.
* All desired features are enabled
* Make succeeds even when %{_smp_mflags} is defined
* Files have appropriate permissions and owners
* Package installs and uninstalls cleanly on FC4
* Software runs fine

Bad:
* Is there any reason why the package name doesn't follow the upstream tarball
name?  Based on a quick Google search, every other rpm package I could find
follows the upstream tarball.

Minor:
* The NEWS file shouldn't be packaged, since it's empty.
Comment 2 Gavin Henry 2005-09-23 17:42:51 EDT
Did you see the above?

---------
Quote:
---------
"Created as a Requirement to install
db2latex-xsl-0.7-alt2.cvs20030622.noarch.rpm, which requires a xml-utils RPM,
which are both needed to run the Samba-Docs build tree, as discussed during Tues
Sep 20 Fedora Documentation Steering Committee meeting."

That's the only reason I changed the name.

Can change it now, as it never worked and will delete NEWS file, once you
confirm above.

Gavin.
Comment 3 Brian Pepple 2005-09-23 17:57:11 EDT
Yeah, I did see the snippet about it being a requirement of db2latex-xsl, but it
seemed like a case of the tail wagging the dog to me. ;)
Comment 4 Gavin Henry 2005-09-24 03:14:45 EDT
Yeah, I know.

Doesn't matter anymore, so I'll update it this weekend.

Gavin.
Comment 5 Gavin Henry 2005-09-26 05:12:16 EDT
Spec Url:   http://www.perl.me.uk/downloads/html-xml-utils/html-xml-utils.spec
SRPM Url:  
http://www.perl.me.uk/downloads/html-xml-utils/html-xml-utils-3.7-2.src.rpm
Md5sum Url: http://www.perl.me.uk/downloads/html-xml-utils/md5sums

Changed name back to html-xml-utils and removed the empty README

Gavin.
Comment 6 Brian Pepple 2005-09-26 05:44:19 EDT
Package approved.  Refer to Review in comment #1.
Comment 8 Brian Pepple 2005-10-14 13:34:01 EDT
Gavin, what's the status of this?  Has it been built yet?
Comment 9 Gavin Henry 2005-10-14 15:56:48 EDT
Sorry, I was waiting for your final approve.

Committed and built.

Gavin.
Comment 10 Brian Pepple 2005-10-17 17:22:46 EDT
Package published, but bug never closed.

Note You need to log in before you can comment on or make changes to this bug.